---
title: "Docs"
description: "M3O Docs"
permalink: /docs
---

# Docs

A collection of docs, guides and resources for M3O

## Contents

- [Getting Started](getting-started.md)
- [Client Libraries](client-libraries.md)
- [Install Guide](install.md)
- [Architecture](architecture.md)
- [Roadmap](roadmap.md)
- [Resources](#resources)
- [Development](#development)
- [TODO](#todo)

## Resources

A few resources to look at in the mean time

### Community

- Join the [Discord](https://discord.gg/TBR9bRjd6Z) server
- Follow us on [LinkedIn](https://www.linkedin.com/company/micro-services-inc/)
- Follow us on [Instagram](https://instagram.com/m3oservices)
- Follow us on [Twitter](https://twitter.com/m3oservices)

### Hosting

- [M3O](https://m3o.com) - a serverless cloud platform

### Open Source

The core services, automation and the backend are all open source:

- [Micro](https://micro.dev) - a distributed cloud operating system
- [Micro Services](https://github.com/micro/services) - offered on the M3O platform
- [M3O Platform](https://github.com/m3o/platform) - infrastructure automation
- [M3O Backend](https://github.com/m3o/backend) - control plane for the M3O platform

### Dev UX

We provide the following dev UX for the consumption of Micro services:

- [m3o-web](https://github.com/m3o/m3o/tree/main/apps/web) - Next.js based Web dashboard which can be self hosted
- [m3o-js](https://github.com/m3o/m3o-js) - JS client library with statically typed interfaces and examples
- [m3o-go](https://github.com/m3o/m3o-go) - Go client library with code generated functions and examples
- [m3o-cli](https://github.com/m3o/m3o-cli) - Command line interface for terminal access to services

## Development

The M3O platform is under heavy development by the core team. Any additional work for clients, services and so on we welcome 
external contribution and reward developers with M3O credit. For anyone interested please find us on Discord.

## TODO

- [x] Getting Started
- [x] Architecture guide
- [ ] Local development
- [ ] Self hosting 
- [ ] Writing services
- [ ] Contributing
